Subject: Re: subprocess i/o interaction with shell (bash&cmd): shells compete for input with user program!
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: 22 Jul 2003 12:23:18 -0400

> * In message <[email-masked]>
> * On the subject of "Re: subprocess i/o interaction with shell (bash&cmd): shells compete for input with user program!"
> * Sent on Tue, 22 Jul 2003 10:57:02 -0400
> * Honorable Christopher Faylor <[email-masked]> writes:
>
> On Tue, Jul 22, 2003 at 10:30:52AM -0400, Sam Steingold wrote:
> >So, how can I exit driver and have the shell notice that its child
> >(driver) left a heir (runtime) and that the shell (bash & cmd) should
> >wait for runtime to finish.
> 
> You have two processes reading standard input at the same time?

yes, bash/cmd & runtime do read stdin simultaneously,
but I do NOT want that!

> The expected behavior in that situation is that it is unpredictable
> which process gets which keystroke.

yep.

> You want the parent of the parent of a process to know that there is a
> grandchild process sitting around waiting for input and have the
> grandparent (bash or cmd) wait for the grandchild to finish?

precisely!

> Under cygwin you'd accomplish this by having the parent process use
> one of the "exec" calls.

nope.  doesn't work either.
I get the same "input competition" when I use exec().

> There is no way to do what you want in a normal Windows program.

are you sure? :-(

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.palestine-central.com/links.html>
Daddy, why doesn't this magnet pick up this floppy disk?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/